/// ///////// ///OBJETO NARRADOR ///////////////////////////////
  TIC.Narrador = (function(){
	  function Narrador(element, options){this.init(element, options);}
  
	  Narrador.prototype = {
		  init: function(element, options){
			  this.contador = 0;
			  this.element = element;
			  this.options = options;
  
			  var me = this;
			  $(".next", element).click(function () {
				  me.next();
			  });
			  $(".prev", element).click(function () {
				  me.prev();
			  });

//////////////////////////////////////////////////////////////////////////////////////			  
//////////////////click para cuando el test es el final de la diapo///////////////////			  		  		  
this.clickFinal = function(){	
$(".next").hide();
$(".next_url").hide();
if($('input:radio[name=options]').is(':checked')){
var idRespuesta = $('input:radio[name=options]:checked').val();	
var idTest =$('input:radio[name=options]:checked').attr('id');	
//alert(idTestGral);
$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
$(".next_url").css({"margin-top":"-8%"});
me.solve(idRespuesta,idTest,idTestGral);  
pintar_test(idRespuesta, ActCode, idTestGral);
pintar_estrellas_scorm();

}else {  
$(".next").hide();
$(".relleno").show();
$(".prev").hide();
me.showAlert();
} 
}; //// fin clickFinal
//////////////////////////////////////////////////////////////////////////////////////

/////////////////////////Controla el boton "Comprobar de los test"///////////////////////////////////////////
this.clickControlar = function(){	
$(".next").show();
$(".prev").show();
$(".relleno").hide();
if($('input:radio[name=options]').is(':checked')){
var idRespuesta = $('input:radio[name=options]:checked').val();	
var idTest =$('input:radio[name=options]:checked').attr('id');	
me.solve(idRespuesta,idTest,idTestGral);  
pintar_test(idRespuesta, ActCode, idTestGral);
pintar_estrellas_scorm();

}else {  
$(".next").hide();
$(".relleno").show();
$(".prev").hide();
me.showAlert();
} 
}; //// fin clickControlar
//////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////
this.clickEnlace = function(){
var id_enlace = parseInt(this.id.substring(1));
me.muestra_enlace(id_enlace);
};//// fin clickBoton2

//////////////////////////////////////////////////////////////////////////////////////
this.clickBoton = function(){ 
var id_boton = parseInt(this.id.substring(4));
me.muestra(id_boton);
};//// fin clickBoton		
this.clickBoton2 = function(){
$(".menor").css({"opacity":"0"}); 	
var id_enlace = parseInt(this.id.substring(1));
me.muestra_enlace(id_enlace);
}//// fin clickBoton2
				
						 
this.clickCerrar = function(){
$(".pop_up_container").hide();
};  //// fin clickCerrar

this.clickController = function(){
$("#0").css({"background-image":"url(img/bot-si-hover.png)"});
$("#1").css({"background-image":"url(img/bot-no.png)"});
}; //// fin clickController

this.clickController2 = function(){
$("#1").css({"background-image":"url(img/bot-no-hover.png)"});
$("#0").css({"background-image":"url(img/bot-si.png)"});
};//// fin clickController2 	

this.clickEdad = function(){
var idEdad = parseInt(this.id.substring(5));
me.idEdad = idEdad;			
me.next();
};//// fin clickEdad

this.clickAmbito = function(){
var idAmbito = parseInt(this.id.substring(7,8));	
var idAmbito2 = parseInt(this.id.substring(8));	 
me.idAmbito = idAmbito;
me.idAmbito2 = idAmbito2;

if ( me.idAmbito == 0 && me.idAmbito2 ==0 ){

$("#pizarra").on('click', '.next_narrador', function(){
me.next();
});

		id= 					TIC.Diapositivas[me.contador].id;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		j=0;
		
}else if(me.idAmbito == 0 && me.idAmbito2 ==1){
$("#pizarra").on('click', '.next_narrador', function(){
me.next();
});
		id= 					TIC.Diapositivas[me.contador].id;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		j=0;

}else if(me.idAmbito == 1 && me.idAmbito2 ==0){
$("#pizarra").on('click', '.next_narrador', function(){
me.next();
});
		
		id= 					TIC.Diapositivas[me.contador].id;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		j=0;	

}else{
$("#pizarra").on('click', '.next_narrador', function(){
me.next();
});
		
		id= 					TIC.Diapositivas[me.contador].id;
		orden= 					TIC.Diapositivas[me.contador].n_orden;
		ambito =				TIC.Way[me.contador].ambito;
		edad =					TIC.Way[me.contador].edad;
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		j=0;		
}
me.next();
};//// fin clickAmbito

																		 
$(".indice").on('click',function(){
var indice= TIC.Indice[0].texto;
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'>"+indice+"<div class='cerrar'></div></div>");
$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
});//// fin indice
				  
/////////////////Hace la llamada al numero de estrellas (apoyándose en  Alerta)//////////////////////
$(".progress").on('click',function(){
me.Alerta();
$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
});
this.showSlide();
},//// fin progress

sendData: function(idRespuesta){ 
createNewActivityScore(ActCode,idRespuesta);
},
getData: function(ActCode){  
getActivityScore("Alerta",oam);
},

Alerta: function(){
if (mm_adl_API != null)
{
	
 mm_adl_API.LMSInitialize("");
 
porcentaje = mm_adl_API.LMSGetValue("cmi.core.score.raw");
if(porcentaje=='') {
var Estrellas=0;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};	
}else{	
var porcentaje = Math.round((porcentaje / 100 ) * 14);
Estrellas = porcentaje;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};

	};
}

},	
								  
///Siguiente diapositiva
next: function(){
this.contador++;
$(".prev").show();
n_diapos = TIC.Diapositivas.length - 1;
if (this.contador == 0){
$(".prev").hide();
}
this.showSlide();
},
		  
///Diapositiva anterior
prev: function(){
this.contador--;
this.showSlide();
$(".next").show();
$(".next_url").hide();
if(this.contador == 0){
$(".prev").hide();
}
this.showSlide();
},
		  
//// AQUI DEFINIMOS LAS PANTALLAS TIPO ////////////////				  
showSlide: function(){
			  
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;
		  
			  $(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'></header><article class='" + tipo + "'><div class='col_izquierda'></div><div class='col_derecha'></div></article></section>");
			 // alert(tipo);
			  switch(tipo){
				  
				case "intro_gral":
					this.showIntro_gral();
					break;
				case "intro":
					this.showIntro();
					break;
				case "guia":
					this.showGuia();
					break;  		
				case "secuencia":
					this.showSecuencia();
					break;
				case "way":
					this.showWay();
					break;	
				case "edad":
					this.showEdad();
					break;
				case "ambito":
					this.showAmbito();
					break;	
				case "narrador_2":
					this.showNarrador_2();
					break;
				case "narrador_3":
					this.showNarrador_3();
					break;
				case "narrador":
					this.showNarrador();
					break;
				case "dialogo":
					this.showDialogo();
					break;
				case "dialogo_2":
					this.showDialogo2();
					break;
				case "dialogo_3":
					this.showDialogo3();
					break;
				case "dialogo_4":
					this.showDialogo4();
					break;
				case "dialogo_5":
					this.showDialogo5();
					break;				
				case "test_dialogo":
					this.showTest_dialogo();
					break;		
				case "boton":
					this.showBoton();
					break;	
				case "boton_2":
					this.showBoton2();
					break;			
				case "diapo":
					this.showDiapo();
					break;
				case "test":
					this.showTest();
					break;
				case "true":
					this.showTrue();
					break;
				case "fin":
					  this.showFin();
					  break;											
			}
},
////FIN PANTALLAS TIPO ////////////////


////Tipo Secuencia
 showSecuencia: function(){
			 var me = this; 
			$(".next").hide();
			$(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			

			$(".secuencia").html("<div class='string'><h4>"+secuencia+"</h4><div><img src='img/movil-08.png'><button class='next2'></button><p>Pulsa para continuar</p>");
$("#pizarra").on('click', '.next2', function(){
				 me.next();
});
},

////Tipo Guia
showGuia: function(){
var titulo_curso = TIC.Inicio[0].title;
	
$(".guia").html(" <article class='temario primero'><div class='col_izquierda menu'><h5>Te damos la bienvenida al Objeto de Aprendizaje Multimedia (OAM) de "+titulo_curso+"</h5><p>Para estudiar los contenidos de esta unidad didáctica de una forma fácil e interactiva, te presentamos algunas cuestiones importantes:</p><h5>Tu esfuerzo y dedicación tienen premio <br><img src='img/estrella.png'><img src='img/estrella.png'><img src='img/estrella.png'></h5><p>A lo largo de la unidad te realizaremos algunas preguntas sobre el contenido y los casos que se presentan. Por cada pregunta contestada correctamente conseguirás un premio en forma de estrella. Intenta conseguir todas las que puedas, teniendo en cuenta que sólo tendrás un intento para contestar cada pregunta.</p></div><div class='col_derecha'><img src='img/elige-tu-ruta.png' style='float:right;width:20%;height:auto;position:relative;bottom:.5em;'><h5>Elige tu ruta de aprendizaje</h5><p>Parte de los contenidos se presentan a través de casos prácticos que ilustran situaciones relacionadas con el riesgo TIC que abordamos.</p><p>Dependiendo de tu interés, podrás elegir por etapa educativa (es decir, entre primaria y secundaria) y por entorno (escolar o  familiar). Y aunque podrás ver todos los casos e itinerarios, para conseguir estrellas tan solo se tendrá en cuenta el primero que elijas; es decir, se contabiliza tu primera opción.</p><figure style='margin:1.2em 0 0;max-width:100%'><img src='img/guia-didactica-botones.jpg'></figure></div></article>")
				  
				  $(".next").hide();
				  $(".relleno").show();
				 $(".prev").hide();
				  
				  
				 $(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				
				
				 $(".next_url").css({"position":"absolute","right":"0","top":"100%","left":"95%","width":"5%"})
},

//////SHOW INTRO/////
showIntro: function(){
	
	
	$(".prev").hide();
	$(".relleno").show();
	$(".next").show();
	
	
	var secuencia = 	TIC.Secuencia[this.diapo.n_orden].secc;
	var number = 		TIC.Secuencia[this.diapo.n_orden].number;
	var narracion =		TIC.Narracion[this.diapo.n_orden].Nc;
	var imagen =		TIC.Narracion[this.diapo.n_orden].imagen;
	
		$(".primero").html("<h1>Casos prácticos</h1>");	
		$(".intro").addClass("magenta");
		$(".intro").html("<h3>Elige tu recorrido:</h3><figure class='centrado'><img src='img/"+imagen+".png'/></figure><h3>"+narracion+"</h3>");

me = this;
$("#pizarra").on('click', '.next_intro', function(){
		me.next();
		});

	},
	
	
//// TIPO WAY /////
showWay: function(){
	
		    $(".prev").hide();
			$(".relleno").show();
			$(".next").hide();	
	
	
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var ambito_img = TIC.Way[this.diapo.n_orden].ambito_img;
			
			$(".way").addClass("naranja")
			$(".primero").html("<h1>Casos prácticos</h1>");
			
						
			var orden = this.diapo.n_orden;
			var ambito = TIC.Way[orden].ambito;
			var cadenaHtml = "";
			

			$(".way").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 3 de 3</h3><p class='selecc'>Confirma tu recorrido</p>")
			
	$(".way").append("<div class='edad_way'><img src='img/"+[this.idEdad]+[this.idAmbito2]+".png'><div class='boton'><button class='prev2' onclick='window.location.href=&quot;OAM01_03.html&quot;'>Atr&aacute;s</button>&nbsp;<button class='aceptar'>Aceptar</button></div></div>")
	
	$("#pizarra").on('click', '.aceptar', function(){
		
		if ( me.idAmbito == 0 && me.idAmbito2 ==0 ){
    window.location.assign("OAM01_03_00.html");
	 }
	 else if(me.idAmbito == 0 && me.idAmbito2 ==1){
		 window.location.assign("OAM01_03_01.html");
		 }else if(me.idAmbito == 1 && me.idAmbito2 ==0){
			  window.location.assign("OAM01_03_10.html");
			 }else{
				  window.location.assign("OAM01_03_11.html");
				 }
		
		
		
		});	
	},
	
		
// SHOW_EDAD
showEdad: function(){
			
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var orden = TIC.Diapositivas[this.contador].n_orden;
			var edad = TIC.Way[orden].edad;
			var edad_img = TIC.Way[orden].edad_img;
			var cadenaHtml= "";
		$(".next").hide();
		$(".prev").hide();	
						
			if(edad.length == 1){						
			 for(j=0; j<edad.length; j++){
				  cadenaHtml += "<li class='edad"+j+"' id='edad_"+ j+1 + "'><a><img src='img/"+edad_img[j+1]+".png'  /><p class='selecc'>" + edad[j] + "</p><span></span></a></li>"	
				  
			$("#pizarra").on('click', 'li#edad_'+j+1, this.clickEdad);	  	  
				 }
		};
		if(edad.length == 2){						
			 for(j=0; j<edad.length; j++){
				  cadenaHtml += "<li class='edad"+j+"' id='edad_"+ j + "'><a><img src='img/"+edad_img[j]+".png'  /><p class='selecc'>" + edad[j] + "</p><span></span></a></li>"	
				  
			$("#pizarra").on('click', 'li#edad_'+j, this.clickEdad);	  	  
				 }
		};
				 
				 cadenaHtml = "<ul class='menu_circulos delayedAlphaIntro'>" + cadenaHtml + "</ul>"; 
			$(".primero").addClass("cabecera");
			$(".cabecera").removeClass("primero");	 
			$(".cabecera").html("<h1>Casos prácticos</h1>");
			$(".edad").addClass("naranja");
			$(".edad").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 1 de 3</h3>   <p class='selecc'>Selecciona el rango de edad:</p>"+cadenaHtml)
			
},	

// SHOW_AMBITO
showAmbito: function(){
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var ambito_img = TIC.Way[this.diapo.n_orden].ambito_img;
			
			$(".prev").hide();
			$(".relleno").show();
			$(".next").hide();
			
			$(".ambito").addClass("naranja")
			$(".primero").html("<h1>Casos prácticos</h1>");
			
						
			var orden = this.diapo.n_orden;
			var ambito = TIC.Way[orden].ambito;
			var cadenaHtml = "";
			
	if(this.idEdad == 0){
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_0"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'/><p class='selecc'>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_0'+i, this.clickAmbito);	
			}
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'>Selecciona el entorno:</p>"+cadenaHtml)

	}else if ( this.idEdad == 1){
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_1"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'  /><p class='selecc'>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_1'+i, this.clickAmbito);		
			}
			i++;
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'>Selecciona el entorno:</p>"+cadenaHtml)
		}
	else{
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_2"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'  /><p>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_2'+i, this.clickAmbito);		
			}
			i++;
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'	>Selecciona el entorno:</p>"+cadenaHtml)
	}
			
},		
	

// SHOW_NARRADOR/////////
showNarrador: function(){
$(".next").show();

		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					TIC.Diapositivas[this.contador].n_orden;
		ambito =				TIC.Way[this.contador].ambito;
		edad =					TIC.Way[this.contador].edad;
		Nd =					TIC.Contenidos[orden].Nd;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		secuencia =				TIC.Secuencia[orden].secc;
		j=0;


$(".primero").html("<h1>"+secuencia+"</h1>");	
$(".narrador").html("<h3 class='intro_escena'>"+edad[idEdad]+"</h3><div class='col_parcial derecha AlphaIntro'><p class='narracion'>"+Nd[this.diapo.n_orden]+"</p><figure class='bajo_izquierda delayedAlphaIntro'><img src='img/"+Nd_img[this.diapo.n_orden]+".png'/></figure></div>")	
},

// SHOW_NARRADOR/////////
showNarrador_2: function(){

	img_folder = TIC.Contenidos[0].folder;
	
	
$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");	

$(".relleno").show();
$(".prev").hide();

$(".narrador_2").html("<article class='escena' style='background-image:url(img/"+img_folder+"/"+Nd_img[this.diapo.n_orden]+".png)'><div class='cuadro-naranja-01 bounceInUp'></div></div></article>")	
$(".cuadro-naranja-01").html("<p class='narracion'>"+Nd[this.diapo.n_orden]+"</p>");

},



showNarrador_3: function(){
	

if (this.idEdad == 0){
	orden= TIC.Diapositivas[this.contador].n_orden;
	}else{	
		orden=TIC.Diapositivas[me.contador].n_orden;
		};
			
	$(".narrador_3").html(Nd[orden]);

	$(".relleno").hide();
	$(".next").show();
	
	},
	
// SHOW_DIALOGO
showDialogo: function(){
	
$(".next").hide();
$(".prev").hide();
$(".relleno").show();

var me = this;
		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					TIC.Diapositivas[this.contador].n_orden;
		ambito =				TIC.Way[this.contador].ambito;
		edad =					TIC.Way[this.contador].edad;
		talk = 					TIC.Contenidos[orden].talk;
		talk_color = 			TIC.Contenidos[orden].talk_color;		
		talk_img = 				TIC.Contenidos[orden].talk_img;				
		talk_posX=				TIC.Contenidos[orden].talk_posX;
		talk_posY=				TIC.Contenidos[orden].talk_posY;
		players = 				TIC.Contenidos[orden].players;
		img_folder = 			TIC.Contenidos[orden].folder;
		stage =					TIC.Contenidos[orden].stage;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		end =					TIC.Contenidos[0].end[orden];
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		j=0;

$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");	
$(".dialogo").html("<article class='escena primera' style='background-image:url(img/"+img_folder+"/"+stage[orden]+".png)'></div><div class='bocadillo naranja romboide-01'><div class='talk'>"+talk[orden]+"</div><div class='next_text'></div></div>");

$(".bocadillo").css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)','width':'35%','height':'45%'});
$('.talk').css({'color':''+talk_color[orden]+''});

if (j == [talk.length-1] ){
	
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	$(".next_text").hide();
	$(".next").show();
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text").hide();
	$(".next").show();
	};
	
		
	};

//////////////AVANCE DIALOGO /////////////////// 
$("#pizarra").on('click', '.next_text', function(){
		
		orden++;
		j++;
		
		$(".talk").html(talk[orden]);
		$('.talk').css({'color':''+talk_color[orden]+''});
		$('.bocadillo').css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)'});
		$(".escena").css({'background-image':'url(img/'+img_folder+'/'+stage[orden]+'.png)'})
if (j == [talk.length-1] ){
	
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	$(".next_text").hide();
	$(".next").show();
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text").hide();
	$(".next").show();
	};
	
		
	};		
	
if (j == talk.length ){
		me.next();
	};
			
		 
});

	 	
},

// SHOW_DIALOGO2
showDialogo2: function(){
	
	
$(".next").hide();
$(".prev").hide();

var me = this;
		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					0;
		ambito =				TIC.Way[0].ambito;
		edad =					TIC.Way[idEdad].edad;
		talk = 					TIC.Contenidos[orden].talk2;
	
		talk_color = 			TIC.Contenidos[orden].talk_color2;		
		talk_img = 				TIC.Contenidos[orden].talk_img2;				
		talk_posX=				TIC.Contenidos[orden].talk_posX2;
		talk_posY=				TIC.Contenidos[orden].talk_posY2;
		img_folder = 			TIC.Contenidos[orden].folder;
		stage =					TIC.Contenidos[orden].stage2;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		end =					TIC.Contenidos[0].end[orden];
		j=0;

$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");	

$(".dialogo_2").html("");

$(".dialogo_2").html("<article class='escena primera' style='background-image:url(img/"+img_folder+"/"+stage[orden]+".png)'></div><div class='bocadillo naranja romboide-01'><div class='talk'>"+talk[orden]+"</div><div class='next_text2'></div></div>");

$(".bocadillo").css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)','width':'35%','height':'45%'});
$('.talk').css({'color':''+talk_color[orden]+''});

if (j == [talk.length-1] ){
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text2").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text2").hide();
	$(".next").show();
	};
};

//////////////AVANCE DIALOGO /////////////////// 
$("#pizarra").on('click', '.next_text2', function(){
		
		orden++;
		//alert(stage[orden]);
		
		j++;
		
		$(".talk").html(talk[orden]);
		$('.talk').css({'color':''+talk_color[orden]+''});
		$('.bocadillo').css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)'});
		$(".escena").css({'background-image':'url(img/'+img_folder+'/'+stage[orden]+'.png)'})
		
if (j == [talk.length-1] ){
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text2").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text2").hide();
	$(".next").show();
	};
};
	
if (j == talk.length ){
	
		me.next();}			
		 
});

	 	
},

// SHOW_DIALOGO3
showDialogo3: function(){
	
$(".next").hide();
$(".prev").hide();

var me = this;
		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					0;
		ambito =				TIC.Way[0].ambito;
		edad =					TIC.Way[idEdad].edad;
		talk = 					TIC.Contenidos[orden].talk3;
	
		talk_color = 			TIC.Contenidos[orden].talk_color3;		
		talk_img = 				TIC.Contenidos[orden].talk_img3;				
		talk_posX=				TIC.Contenidos[orden].talk_posX3;
		talk_posY=				TIC.Contenidos[orden].talk_posY3;
		img_folder = 			TIC.Contenidos[orden].folder;
		stage =					TIC.Contenidos[orden].stage3;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		end =					TIC.Contenidos[0].end[orden];
		j=0;



$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");	

$(".dialogo_3").html("");

$(".dialogo_3").html("<article class='escena primera' style='background-image:url(img/"+img_folder+"/"+stage[orden]+".png)'></div><div class='bocadillo naranja romboide-01'><div class='talk'>"+talk[orden]+"</div><div class='next_text3'></div></div>");

$(".bocadillo").css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)','width':'35%','height':'45%'});
$('.talk').css({'color':''+talk_color[orden]+''});


if (j == [talk.length-1] ){
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text3").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text3").hide();
	$(".next").show();
	};
};
	

//////////////AVANCE DIALOGO /////////////////// 
$("#pizarra").on('click', '.next_text3', function(){
		
		orden++;
		//alert(stage[orden]);
		
		j++;
		
		$(".talk").html(talk[orden]);
		$('.talk').css({'color':''+talk_color[orden]+''});
		$('.bocadillo').css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)'});
		$(".escena").css({'background-image':'url(img/'+img_folder+'/'+stage[orden]+'.png)'})
		

if (j == [talk.length-1] ){
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text3").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text3").hide();
	$(".next").show();
	};
};
	
if (j == talk.length ){
	
		me.next();}			
		 
});

	 	
},
// SHOW_DIALOGO4
showDialogo4: function(){
	
	
$(".next").hide();
$(".prev").hide();

var me = this;
		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					0;
		ambito =				TIC.Way[0].ambito;
		edad =					TIC.Way[0].edad;
		talk = 					TIC.Contenidos[orden].talk4;
	
		talk_color = 			TIC.Contenidos[orden].talk_color4;		
		talk_img = 				TIC.Contenidos[orden].talk_img4;				
		talk_posX=				TIC.Contenidos[orden].talk_posX4;
		talk_posY=				TIC.Contenidos[orden].talk_posY4;
		img_folder = 			TIC.Contenidos[orden].folder;
		stage =					TIC.Contenidos[orden].stage4;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		end =					TIC.Contenidos[0].end[orden];
		j=0;



$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");	

$(".dialogo_4").html("");

$(".dialogo_4").html("<article class='escena primera' style='background-image:url(img/"+img_folder+"/"+stage[orden]+".png)'></div><div class='bocadillo naranja romboide-01'><div class='talk'>"+talk[orden]+"</div><div class='next_text4'></div></div>");

$(".bocadillo").css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)','width':'35%','height':'45%'});
$('.talk').css({'color':''+talk_color[orden]+''});

if (j == [talk.length-1] ){
	$(".next_text4").hide();
	$(".next").show();}

//////////////AVANCE DIALOGO /////////////////// 
$("#pizarra").on('click', '.next_text4', function(){
		
		orden++;
		//alert(stage[orden]);
		
		j++;
		
		$(".talk").html(talk[orden]);
		$('.talk').css({'color':''+talk_color[orden]+''});
		$('.bocadillo').css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)'});
		$(".escena").css({'background-image':'url(img/'+img_folder+'/'+stage[orden]+'.png)'})
		
	
	
	
if (j == [talk.length-1] ){
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text4").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text4").hide();
	$(".next").show();
	};
};
	
if (j == talk.length ){
	
		
		me.next();
		
	
	}			
		 
});

	 	
},


// SHOW_DIALOGO5
showDialogo5: function(){
	
	
$(".next").hide();
$(".prev").hide();

var me = this;
		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					0;
		ambito =				TIC.Way[0].ambito;
		edad =					TIC.Way[0].edad;
		talk = 					TIC.Contenidos[orden].talk5;
	
		talk_color = 			TIC.Contenidos[orden].talk_color5;		
		talk_img = 				TIC.Contenidos[orden].talk_img5;				
		talk_posX=				TIC.Contenidos[orden].talk_posX5;
		talk_posY=				TIC.Contenidos[orden].talk_posY5;
		img_folder = 			TIC.Contenidos[orden].folder;
		stage =					TIC.Contenidos[orden].stage5;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		end =					TIC.Contenidos[0].end[orden];
		j=0;



$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");	

$(".dialogo_5").html("");

$(".dialogo_5").html("<article class='escena primera' style='background-image:url(img/"+img_folder+"/"+stage[orden]+".png)'></div><div class='bocadillo naranja romboide-01'><div class='talk'>"+talk[orden]+"</div><div class='next_text5'></div></div>");

$(".bocadillo").css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)','width':'35%','height':'45%'});
$('.talk').css({'color':''+talk_color[orden]+''});

if (j == [talk.length-1] ){
	$(".next_text5").hide();
	$(".next").show();}

//////////////AVANCE DIALOGO /////////////////// 
$("#pizarra").on('click', '.next_text5', function(){
		
		orden++;
		//alert(stage[orden]);
		
		j++;
		
		$(".talk").html(talk[orden]);
		$('.talk').css({'color':''+talk_color[orden]+''});
		$('.bocadillo').css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)'});
		$(".escena").css({'background-image':'url(img/'+img_folder+'/'+stage[orden]+'.png)'})
		
	
	
	
if (j == [talk.length-1] ){
	
	orden= 	TIC.Diapositivas[me.contador].n_orden;
	end =	TIC.Contenidos[0].end[orden];
	
	if (end == "end"){
	$(".next").hide();
	$(".next_text5").hide();
	$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	$(".next_url").css({"margin-top":"-8%"});
	}else{
	$(".next_text5").hide();
	$(".next").show();
	};
};
	
if (j == talk.length ){
	
		
		me.next();
		
	
	}			
		 
});

	 	
},



///Tipo Intro
 showIntro_gral: function(){
				 var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				 var titulo_curso = TIC.Inicio[0].title;
				 var frases_refuerzo = TIC.Inicio[orden].frases;
				 var imagen = TIC.Inicio[orden].imagen;
				 var cadenaHtml = "";

				  $(".relleno").show();
$(".intro_gral").html("<div class='col_parcial3'>"+titulo_curso+"</div><div class='logo'><img src='img/logo.png'></div>");		
},

//Tipo diapo
showDiapo: function(){
			   $(".next").show();
			  $(".prev").show();
			  $(".relleno").hide();
			
			  
			  var id= 	TIC.Diapositivas[this.contador].id;	
			  var diapo = TIC.Diapositivas[this.contador]; 
			  var orden = TIC.Diapositivas[id].n_orden;
			  var orden_secuencia = TIC.Diapositivas[this.diapo.id].secuencia;  
			  var contenido = TIC.Contenidos_narrador[orden];
			  var end = contenido.end;
			  var scroll_bar = contenido.scroll_bar;
			  var secuencia = TIC.Secuencia[0].secc;
			  var img_narrador = TIC.Contenidos_narrador[orden].img_narrador;

$(".primero").html("<h1>"+secuencia+"</h1>");
			  
			 
			 
			 $(".diapo").html("<div class='bubble'>"+contenido.texto+"</div><div class='narrador'><img src='img/"+contenido.img_narrador+".png'/></div>");
			 
			 if (img_narrador == ""){
				  
			 $(".diapo").html("<div class='bubble'>"+contenido.texto+"</div>");
			  $(".bubble").addClass("plus");
			};
			if (scroll_bar == "si"){
				$(".diapo").html("<div id='scrollable'><div class='bubble'>"+contenido.texto+"</div></div>");
				};
			
			if (end == "end"){
			$(".next").hide();	
			$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	
	$(".next_url").css({"margin-top":"-8%"});
	
				};
	if (this.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};
					 
$("#pizarra").on('click', 'a.enlace', this.clickEnlace);

//////////////////////////palabras / scroll /////////////////////////
var palabras = $('.bubble').text().length;
//alert(palabras);
if (palabras >= 1100){
var scroller = new FTScroller(document.getElementById('scrollable'), {
scrollingX: false
});		
	
};/////////////fin palabras scroll /////////////////
},

//Tipo V/F
showTrue: function(){
				 
				  $(".next").hide();
				  $(".prev").hide();
				  $(".relleno").show();
				  
				  $("#pizarra").on('click', '#1', this.clickController2);
				  $("#pizarra").on('click', '#0', this.clickController);
				  
				  $(".reiniciar").hide();	
				  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				  var opciones = TIC.Test[orden].opciones;
				  var narrador = TIC.Test[orden].narrador;
				  var preguntas = TIC.Test[orden].preguntas;
				  var cadenaHtml = "";
				  var end = TIC.Test[orden].end;
				  
				
				 
					  
			  for(j=0; j<opciones.length; j++){
				   var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				   var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
				   var opciones = TIC.Test[orden].opciones;
				   ActCode = opciones[0][3];
				   idTestGral = opciones[0][4];
				
					   cadenaHtml += "<div id='borrar_input"+j+"'><label for='op_test_"+j+"' id='"+j+"'><input value='"+ j + "' id='op_test_"+ j + "' name='options' type='radio' style='display:none;'>" + opciones[j][1]+"</label></div>"
					  
					  }
				  cadenaHtml = "<ul class='op_test'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				 
				 
				
				  $(".col_izquierda").addClass("frases");
				  $(".primero").append("<h1>"+secuencia+"</h1>");	
				  $(".col_izquierda").html("<img src='img/movil-05-2.png' style='top:17%;width:28%;left:4%'/><p>"+narrador+"</p>");
				  $(".col_derecha").html("<h3>"+preguntas+"</h3><div class='pregunta-01 bounceInUp'>"+cadenaHtml+"</p><input type='button' id='boton' class='comprobar-01' value='Comprobar'><div class='explain2'></div>");
				  $(".explain2").addClass("oculto");
				
$("#0").addClass("si");
$("#1").addClass("no");

if (end == "end"){
	 			  $(".test").addClass("temario");
				  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton1' class='comprobar-01' value='Comprobar'></div><div class='explain cont_explain'></div>");
				  $(".explain").addClass("oculto");
				  $(".comprobar-01").addClass("small");
				  $("#pizarra").on('click', '#boton1', this.clickFinal);
					};
					
$("#pizarra").on('click', '#boton', this.clickControlar);
puntos_scom(idTestGral);
}, 
			  
//Tipo Test
showTest: function(){
$(".next").hide();
$(".prev").hide();
$(".relleno").show();
				  
						  
				  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				  var opciones = TIC.Test[orden].opciones;
				  var preguntas = TIC.Test[orden].preguntas;
				  var cadenaHtml = "";
				  var end = TIC.Test[orden].end;
				   
				  $(".primero").append("<h1>"+secuencia+"</h1>");
					  
			  for(j=0; j<opciones.length; j++){
				   var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				   var opciones = TIC.Test[orden].opciones;
				    ActCode = opciones[0][3];
					idTestGral = opciones[0][4];
						
					  cadenaHtml += "<li><input value='"+ opciones[j][2] + "' id='"+ j + "' name='options' type='radio'><label for='"+j+"'>" + opciones[j][1]+"</label></li>"
					  
					  }
				  cadenaHtml = "<ul class='radio_options'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				 
				 
				  $(".test").addClass("temario");
				  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton' class='comprobar-01' value='Comprobar'></div><div class='explain cont_explain'></div>");
				  $(".explain").addClass("oculto")
				 $(".comprobar-01").addClass("small");

if (end == "end"){
	
	               
	 			  $(".test").addClass("temario");
				  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton1' class='comprobar-01' value='Comprobar'></div><div class='explain cont_explain'></div>");
				  $(".explain").addClass("oculto");
				  $(".comprobar-01").addClass("small");
				  $("#pizarra").on('click', '#boton1', this.clickFinal);////cuando el test es la ultima diapo///cliclfinal
					};
								
	$("#pizarra").on('click', '#boton', this.clickControlar);

puntos_scom(idTestGral);
				  
		  }, 
		  
showTest_dialogo: function(){
	
	 
			  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.contador].n_orden;
					var end = TIC.Test[orden].end;
				  var opciones = TIC.Test[orden].opciones;
				  var preguntas = TIC.Test[orden].preguntas;
				  var cadenaHtml = "";
			 
			 $(".next").hide();
			$(".primero").html("<h1>"+secuencia+"</h1>");	
			  var cadenaHtml = "";
			 
			  for(j=0; j<opciones.length; j++){
				    var orden = TIC.Diapositivas[this.contador].n_orden;
				  // var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
				   var opciones = TIC.Test[orden].opciones;
				    ActCode = opciones[0][3];
					idTestGral = opciones[0][4];
				 
				cadenaHtml += "<li><input value='"+ opciones[j][2] + "' id='"+ j + "' name='options' type='radio'><label for='"+j+"'>" + opciones[j][1]+"</label></li>"
					  
					  }
				  cadenaHtml = "<ul class='radio_options'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				  
			  $(".next").hide();
			  $(".prev").hide();	
			  $(".overlay").show();	
			
			$(".test_dialogo").attr("style","background:#ec852f; box-sizing:border-box");
			
			$(".test_dialogo").html("<div class='col_escena_naranja AlphaIntro'><h3>"+preguntas+"</h3>"+cadenaHtml+"<div class='send'><button id='boton'>Enviar</button></div><figure class='flota_izquierda'><img src='img/movil-10.png'/></figure></div>");
$("#pizarra").on('click', '#boton', this.clickControlar);
			   
if (end == "end"){
	               
$(".test_dialogo").attr("style","background:#ec852f; box-sizing:border-box");
			
			$(".test_dialogo").html("<div class='col_escena_naranja AlphaIntro'><h3>"+preguntas+"</h3>"+cadenaHtml+"<div class='send'><button id='boton1'>Enviar</button></div><figure class='flota_izquierda'><img src='img/movil-10.png'/></figure></div>");


$("#pizarra").on('click', '#boton1', this.clickFinal);////cuando el test es la ultima diapo///cliclfinal
					};
puntos_scom(idTestGral);					
			  
		  }, 
		  
		  		  		  

//Tipo Botón	
showBoton: function(){
	$(".next").show();
	$(".relleno").hide();
			  contador2=0;
			  var secuencia = TIC.Secuencia[0].secc;	
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden;
			  var botones = TIC.Boton[orden].texto;
			  var end = TIC.Boton[orden].end;
			  var intro = TIC.Boton[orden].intro;
			  var imagen = TIC.Boton[orden].imagen;
			  var mensaje = TIC.Boton[orden].mensaje;
			  var cadenaHtml = "";

///////////////////PINTA LOS BOTONES ////////////////////////////			  
			  for(i=0; i<botones.length; i++){
				  cadenaHtml += "<li class='boton-link' id='btn_"+ i + "'><a>" + botones[i] + "</a></li>"
				  $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton); 
			  }
///////////////////FIN PINTA LOS BOTONES ////////////////////////////			  
			  
			  cadenaHtml ="<ul class='menu_vert_x4'>"+cadenaHtml+"</ul>"			
			  $(".primero").append("<h1>"+secuencia+"</h1>");
			  $(".col_izquierda").removeClass("frases");
			  $(".col_izquierda").addClass("menu temario");
			  
			
$(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml);  
$(".col_derecha").html("<h5 class='encabezado'></h5><div id='scrollable'><p class='plus'><img src='img/"+imagen+".png'/>"+mensaje+"</figure></p></div>");

if (end == "end"){
			$(".next").hide();	
			$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	
	$(".next_url").css({"margin-top":"-8%"});
	
				};


if (this.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};

$("#pizarra").on('click', 'a.enlace', this.clickEnlace);				

},

//Tipo Botón	
showBoton2: function(){
$(".relleno").hide();
				  var orden_secc = TIC.Diapositivas[this.diapo.id].n_secc;
				  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;	
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				  var end = TIC.Boton[orden].end;
				  var botones = TIC.Boton[orden].texto;
				  var intro = TIC.Boton[orden].intro;
				  var imagen = TIC.Boton[orden].imagen;
				  var mensaje = TIC.Boton[orden].mensaje;
				  var cadenaHtml = "";
							
	
	///////////////////PINTA LOS BOTONES ////////////////////////////			  
				  for(i=0; i<botones.length; i++){
					  cadenaHtml += "<li class='boton-link' id='btn_"+ i + "'><a>" + botones[i] + "</a></li>"
					  $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton); 
				  }
	///////////////////FIN PINTA LOS BOTONES ////////////////////////////			  
				  
				  cadenaHtml ="<ul class='menu_vert_x4'>"+cadenaHtml+"</ul>"			
				  $(".primero").append("<h1>"+secuencia+"</h1>");
				  $(".col_izquierda").removeClass("frases");
				  $(".col_izquierda").addClass("menu temario");

					  $(".boton_2").html("<div class='menu temario'><h3>"+intro+"</h3>"+cadenaHtml+"</div><div class='texto_abajo_derecha'><p class='plus'></p>");
					  
					  	$(".menu_vert_x4 a").addClass("question");
						$(".question").removeClass("menu_vert_x4");
					   $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton);
if (end == "end"){
			$(".next").hide();	
			$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
	
	$(".next_url").css({"margin-top":"-8%"});
				};					   
					 			
},


//Tipo Fin
showFin: function(){
			 var me = this; 
			
			  $(".next").hide();
			  $(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[0].secc;
			var titulo_curso = TIC.Inicio[0].title;
			$(".fin").html("<div class='string'><h4>Fin del objeto de aprendizaje</h4><div classs='centrado'><img src='img/movil-08.png'><p>"+titulo_curso+"</p>");

			 $("#pizarra").on('click', '.next2', function(){
				 me.next();
				 
				 });
			  
			  },			  

/////////////////////////fin de las pantallas tipo/////////////////////////////////////////////
/////////////////////////////////            ///////////////////////////////////////////////////
////////////////////////////////             ///////////////////////////////////////////////////


///////////////////////////////////////////	  
// funcion para "resolver" los Tests
solve: function(idRespuesta, idTest){
	
$(".preguntas").hide();
$(".explain").html("");	
			
			  var me = this;
			  var orden = 		TIC.Diapositivas[this.diapo.id].n_orden;
			  var feedback = TIC.Test[orden].feedback;
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;
			  var end = TIC.Test[orden].end;		  	

if (tipo == "test_dialogo"){

$(".prev").hide();
$(".relleno").show();

$("#"+idRespuesta).addClass("correcto");
$(".test_dialogo").append("<div class='explain' style='top: 60%; left: 0px; width: 100%; height: 40%; color: rgb(255, 255, 255); font-size: 1.2em;'>" + feedback[idTest] + "</div>");
$("#boton").hide();		
	
	}else{

$(".explain").removeClass("oculto");		
$(".explain2").removeClass("oculto");		
$(".explain").css({"top":"55%","left":"0","width":"100%", "height":"45%","color":"#fff","font-size":"1.2em"});
$(".explain2").css({"top":"52%","left":"-121%","width":"232%", "height":"60%","color":"#fff"});
$(".explain").html( feedback[idTest]);
$(".explain2").html( feedback[idRespuesta]);
$("#boton").hide();	
$("#boton1").hide();

	}

if (me.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};

 },




//funcion para mostrar Botones
muestra: function(id_boton){
var orden = TIC.Diapositivas[this.diapo.id].n_orden;
var plus = TIC.Boton[orden];
var encabezado = TIC.Boton[orden];
var img_plus = TIC.Boton[orden];
var scroll_bar = TIC.Boton[orden].scroll_bar[id_boton];
		 
$(".encabezado").html(encabezado.texto[id_boton]);
$(".plus").html(""+plus.plus[id_boton]+"<img src='img/"+plus.img_plus[id_boton]+".png' width='100%'; />");

$(".texto_abajo_derecha").html(plus.plus[id_boton]);
$("#btn_"+id_boton+" a").css({"background":"#db9b5f"});

 if(plus.img_plus[id_boton] == ""){
$(".plus").html(plus.plus[id_boton]);
};

//////////////////////////palabras / scroll /////////////////////////
if (scroll_bar == "si"){
$(".ftscroller_scrollbar").show();	
$(".ftscroller_scrollbar").css({"transform":"translate3d(0, 0, 0)"});	
$(".ftscroller_y").css({"transform":"translate3d(0, 0, 0)"});
$(".ftscroller_hwaccelerated").css({"transform":"translate3d(0, 0, 0)"});
var scroller = new FTScroller(document.getElementById('scrollable'), {
scrollingX: false
});
$(".ftscroller_scrollbar").css({"transform":"translate3d(0, 0, 0)"});	
$(".ftscroller_y").css({"transform":"translate3d(0, 0, 0)"});
$(".ftscroller_hwaccelerated").css({"transform":"translate3d(0, 0, 0)"});	
}else{
$(".ftscroller_scrollbar").hide();
}
/////////////fin palabras scroll /////////////////


},

		 
		  
showAlert: function(){
$(".pop_up_container").fadeIn();
$(".pop_up_container").html("<div class='pop_up'><span style='text-align:center;margin-left:22%;color:#db9b5f;font-size:2em;font-family:&quot;ag-book&quot'>Selecciona una opción</span><div class='cerrar'></div></div>")
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
}, 
		  
muestra_enlace: function(id_enlace){
var scroll_bar = TIC.Pop[id_enlace].scroll_bar;	
var cabecera = TIC.Pop[id_enlace].cabecera;
var mas_info = TIC.Pop[id_enlace].texto; 
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>"+cabecera+"</h1></header>"+mas_info+"<div class='cerrar'></div></div>");	
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);

//////////////////////////palabras / scroll /////////////////////////

if ( scroll_bar == "si" ){
$(".pop_up_container").html("<div class='pop_up'><header><h1>"+cabecera+"</h1></header><div id='scrollable_2'>"+mas_info+"</div><div class='cerrar'></div></div>");
var scroller = new FTScroller(document.getElementById('scrollable_2'), {
scrollingX: false
});		
};/////////////fin palabras scroll /////////////////

$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
},			  
}	
	  
	  return Narrador;
  }());
  
  
  function newDoc() {
    window.location.assign(url)
}